%% Set-notation
\newcommand{\set}[2]{%
	\left\{\,#1\,;\;#2\,\right\}
}
%% Adapted from the .sty for the braket CTAN-package
%% Usage:
%% 	\set{... ; ...} Only the first ; is treated specially.
%{\catcode`;=\active
%  \xdef\set{\protect\expandafter\noexpand\csname set \endcsname}
%  \expandafter\gdef\csname set \endcsname#1{\mathinner
%		{\lbrace \,{\mathcode`\|32768\let;; #1} \, \rbrace}}
%}

\newcommand{\markSymb}[2]{\overset{\left( {#1} \right) }{ #2 }}

\renewcommand{\qedsymbol}{\scalebox{0.7}[0.70]{$\blacksquare$}}

\newcommand{\param}{\,\cdot\,}

\newcommand{\adjustOpspace}{\hspace{-0.23em}}
% Function-argument parenthesis
\newcommand{\applyFunc}[2]{\ensuremath{{#1}\adjustOpspace\left({#2}\right)}}

% Dot as argument placeholder for functions
\newcommand{\argdot}{\ensuremath{\,\cdot\,}}

% Sequence notation
% #1: Sequence base symbol (e.g. x in (x_n){n\in \N}
% #2: Used index
% #3: Sequence domain
\newcommand{\seqnot}[3]{\ensuremath{
	\left({#1}_{#2}\right)_{#2 \in #3}
}}

% Anonymous function notation
\newcommand{\mapstoFunc}[2]{\left({#1} \mapsto {#2}\right)}
